### Method

# Gtk CssProvider to_string

#### Declaration [src]

    char*
    gtk_css_provider_to_string (
      GtkCssProvider* provider
    )

#### Description [src]

Converts the `provider` into a string representation in CSS format.

Using gtk_css_provider_load_from_data() with the return value from this function on a new provider created with gtk_css_provider_new() will basically create a duplicate of this `provider`.

#### Return value

Returns: | `char*`
| A new string representing the `provider`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.